import * as i0 from '@angular/core';
import { forwardRef, Component, NgModule, Input, Inject, Directive } from '@angular/core';
import * as i1$1 from '@ngx-translate/core';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { NarikAutoComplete, NarikButton, BUTTON_DEFAULT_OPTIONS, NarikCheckBox, NarikCheckBoxList, NarikDataTable, NarikDatePicker, NarikInput, NarikRadioGroup, NarikSelect, NarikDynamicForm, NarikTreeview, NarikToolBar } from '@narik/ui-core';
import { NG_VALUE_ACCESSOR, FormsModule, ReactiveFormsModule } from '@angular/forms';
import * as i2 from '@angular/common';
import { CommonModule, DOCUMENT } from '@angular/common';
import { BusyIndicator, NarikListForm, NarikEditForm } from '@narik/app-core';
import { __decorate, __metadata } from 'tslib';
import { NarikInject, NarikDialogContainer, DialogAnimationBody } from '@narik/core';
import { PARAMETERS, DIALOG_CONTAINER, DIALOG_MESSAGE_COMPONENT, DIALOG_INPUT_COMPONENT } from '@narik/infrastructure';
import * as i1 from '@narik/common';
import { NarikCommonModule } from '@narik/common';
import { trigger } from '@angular/animations';
import { UUID } from 'angular2-uuid';

const NARIK_UI_COMPONENT_INPUTS = ['options'];
const NARIK_UI_FORM_INPUTS = [
    'id',
    'name',
    'label',
    'disabled',
    'required',
    'readOnly',
    'placeHolder',
    ...NARIK_UI_COMPONENT_INPUTS,
];
const NARIK_DATA_ORIENTED_OUTPUTS = [
    'dataChange',
    'selectedItemChange',
];
const NARIK_DATA_ORIENTED_INPUTS = [
    'listenForDataChange',
    'dataSource',
    'dataKey',
    'dataUrl',
    'dataInfo',
    'dataProviderKey',
    'dataParameters',
    'moduleKey',
    'dataMethod',
    'dataUrlMethod',
    ...NARIK_UI_FORM_INPUTS,
];
const NARIK_DATA_DISPLAY_VALUE_OUTPUTS = [
    ...NARIK_DATA_ORIENTED_OUTPUTS,
];
const NARIK_DATA_DISPLAY_VALUE_INPUTS = [
    'displayField',
    'valueField',
    ...NARIK_DATA_ORIENTED_INPUTS,
];
const NARIK_AUTOCOMPLETE_INPUTS = [
    'displayText',
    'minSearchLength',
    'isLazyLoadData',
];
const NARIK_CHECKBOX_INPUTS = ['tag', ...NARIK_UI_FORM_INPUTS];
const NARIK_SELECT_INPUTS = ['multiple'];
const NARIK_DATA_TABLE_SELECT_INPUTS = [
    ...NARIK_SELECT_INPUTS,
    'gridOptions',
];
const NARIK_DATE_PICKER_INPUTS = [...NARIK_UI_FORM_INPUTS];
const NARIK_INPUT_INPUTS = [
    'maxlength',
    'type',
    'mask',
    'icon',
    'displayStatus',
    ...NARIK_UI_FORM_INPUTS,
];

class NarikNgxAutoComplete extends NarikAutoComplete {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxAutoComplete.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoComplete, deps: null, target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxAutoComplete.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxAutoComplete, selector: "narik-ngx-autocomplete  , narik-autocomplete ", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxAutoComplete)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoComplete, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-autocomplete  , narik-autocomplete ', inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS], outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxAutoComplete)),
                            multi: true,
                        },
                    ], template: "", styles: [""] }]
        }] });

class NarikNgxAutoCompleteModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxAutoCompleteModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoCompleteModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxAutoCompleteModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoCompleteModule, declarations: [NarikNgxAutoComplete], imports: [CommonModule, FormsModule], exports: [NarikNgxAutoComplete] });
/** @nocollapse */ /** @nocollapse */ NarikNgxAutoCompleteModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoCompleteModule, providers: [], imports: [[CommonModule, FormsModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxAutoCompleteModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxAutoComplete],
                    exports: [NarikNgxAutoComplete],
                    providers: [],
                }]
        }] });

class NarikNgxBusyIndicator {
    setBusy(newState, msg) {
        this.isBusy = newState;
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxBusyIndicator.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicator, deps: [], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxBusyIndicator.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxBusyIndicator, selector: "narik-ngx-busy-indicator , narik-busy-indicator", inputs: { isBusy: "isBusy" }, providers: [
        {
            provide: BusyIndicator,
            useExisting: forwardRef((() => NarikNgxBusyIndicator)),
        },
    ], ngImport: i0, template: "\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicator, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-busy-indicator , narik-busy-indicator', providers: [
                        {
                            provide: BusyIndicator,
                            useExisting: forwardRef((() => NarikNgxBusyIndicator)),
                        },
                    ], template: "\n", styles: [""] }]
        }], propDecorators: { isBusy: [{
                type: Input
            }] } });

class NarikNgxBusyIndicatorModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicatorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicatorModule, declarations: [NarikNgxBusyIndicator], imports: [CommonModule, TranslateModule], exports: [NarikNgxBusyIndicator] });
/** @nocollapse */ /** @nocollapse */ NarikNgxBusyIndicatorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicatorModule, providers: [], imports: [[CommonModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxBusyIndicatorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, TranslateModule],
                    declarations: [NarikNgxBusyIndicator],
                    exports: [NarikNgxBusyIndicator],
                    providers: [],
                }]
        }] });

class NarikNgxButtonComponent extends NarikButton {
    constructor(renderer, injector) {
        super(injector);
        this.renderer = renderer;
    }
    ngAfterViewInit() { }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonComponent, deps: [{ token: i0.Renderer2 }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxButtonComponent, selector: "narik-ngx-buuton , narik-button ", usesInheritance: true, ngImport: i0, template: "\n" });
__decorate([
    NarikInject(BUTTON_DEFAULT_OPTIONS, {
        buttonStyle: 'mat-raised-button',
        busyFontIcon: 'fa-spinner',
    }),
    __metadata("design:type", Object)
], NarikNgxButtonComponent.prototype, "defaultOptions", void 0);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-buuton , narik-button ', template: "\n" }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }, { type: i0.Injector }]; }, propDecorators: { defaultOptions: [] } });

class NarikNgxButtonModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonModule, declarations: [NarikNgxButtonComponent], imports: [CommonModule], exports: [NarikNgxButtonComponent] });
/** @nocollapse */ /** @nocollapse */ NarikNgxButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [NarikNgxButtonComponent],
                    exports: [NarikNgxButtonComponent],
                    providers: [],
                }]
        }] });

class NarikNgxCheckBox extends NarikCheckBox {
    constructor(injector) {
        super(injector);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBox.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBox, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBox.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxCheckBox, selector: "narik-ngx-checkbox , narik-checkbox", inputs: { tag: "tag", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxCheckBox)),
            multi: true,
        },
        {
            provide: NarikCheckBox,
            useExisting: forwardRef((() => NarikNgxCheckBox)),
        },
    ], usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBox, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-checkbox , narik-checkbox', inputs: [...NARIK_CHECKBOX_INPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxCheckBox)),
                            multi: true,
                        },
                        {
                            provide: NarikCheckBox,
                            useExisting: forwardRef((() => NarikNgxCheckBox)),
                        },
                    ], template: "" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxCheckBoxModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxModule, declarations: [NarikNgxCheckBox], imports: [CommonModule, FormsModule], exports: [NarikNgxCheckBox] });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxModule, providers: [], imports: [[CommonModule, FormsModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxCheckBox],
                    exports: [NarikNgxCheckBox],
                    providers: [],
                }]
        }] });

class NarikNgxCheckBoxList extends NarikCheckBoxList {
    constructor(injector) {
        super(injector);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxList.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxList, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxList.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxCheckBoxList, selector: "narik-ngx-checkbox-list , narik-checkbox-list", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxCheckBoxList)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "\n" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxList, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-checkbox-list , narik-checkbox-list', inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxCheckBoxList)),
                            multi: true,
                        },
                    ], template: "\n" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxCheckBoxListModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxListModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxListModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxListModule, declarations: [NarikNgxCheckBoxList], imports: [CommonModule, FormsModule, NarikNgxCheckBoxModule], exports: [NarikNgxCheckBoxList] });
/** @nocollapse */ /** @nocollapse */ NarikNgxCheckBoxListModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxListModule, providers: [], imports: [[CommonModule, FormsModule, NarikNgxCheckBoxModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCheckBoxListModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule, NarikNgxCheckBoxModule],
                    declarations: [NarikNgxCheckBoxList],
                    exports: [NarikNgxCheckBoxList],
                    providers: [],
                }]
        }] });

class NarikNgxDataTable extends NarikDataTable {
    constructor(injector, changeDetector, document) {
        super(injector);
        this.changeDetector = changeDetector;
        this.document = document;
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDataTable.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTable, deps: [{ token: i0.Injector }, { token: i0.ChangeDetectorRef }, { token: DOCUMENT }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxDataTable.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxDataTable, selector: "narik-ngx-data-table , narik-data-table", usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTable, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-data-table , narik-data-table', template: "" }]
        }], ctorParameters: function () {
        return [{ type: i0.Injector }, { type: i0.ChangeDetectorRef }, { type: undefined, decorators: [{
                        type: Inject,
                        args: [DOCUMENT]
                    }] }];
    } });

class NarikNgxDataTableModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDataTableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxDataTableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTableModule, declarations: [NarikNgxDataTable], imports: [CommonModule, FormsModule, TranslateModule], exports: [NarikNgxDataTable] });
/** @nocollapse */ /** @nocollapse */ NarikNgxDataTableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTableModule, providers: [], imports: [[CommonModule, FormsModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDataTableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule, TranslateModule],
                    declarations: [NarikNgxDataTable],
                    exports: [NarikNgxDataTable],
                    providers: [],
                }]
        }] });

class NarikNgxDatePicker extends NarikDatePicker {
    constructor(injector) {
        super(injector);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDatePicker.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePicker, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxDatePicker.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxDatePicker, selector: "narik-ngx-date-picker , narik-date-picker", inputs: { id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxDatePicker)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "\n" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePicker, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-date-picker , narik-date-picker', inputs: [...NARIK_DATE_PICKER_INPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxDatePicker)),
                            multi: true,
                        },
                    ], template: "\n" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxDatePickerModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDatePickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxDatePickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePickerModule, declarations: [NarikNgxDatePicker], imports: [CommonModule, FormsModule, TranslateModule], exports: [NarikNgxDatePicker] });
/** @nocollapse */ /** @nocollapse */ NarikNgxDatePickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePickerModule, providers: [], imports: [[CommonModule, FormsModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDatePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule, TranslateModule],
                    declarations: [NarikNgxDatePicker],
                    exports: [NarikNgxDatePicker],
                    providers: [],
                }]
        }] });

class NarikNgxInput extends NarikInput {
    constructor(injector) {
        super(injector);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxInput.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInput, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxInput.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxInput, selector: "narik-ngx-input , narik-input", inputs: { maxlength: "maxlength", type: "type", mask: "mask", icon: "icon", displayStatus: "displayStatus", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxInput)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInput, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-input , narik-input', inputs: [...NARIK_INPUT_INPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxInput)),
                            multi: true,
                        },
                    ], template: "" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxInputModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxInputModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxInputModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputModule, declarations: [NarikNgxInput], imports: [CommonModule, FormsModule], exports: [NarikNgxInput] });
/** @nocollapse */ /** @nocollapse */ NarikNgxInputModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputModule, providers: [], imports: [[CommonModule, FormsModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxInput],
                    exports: [NarikNgxInput],
                    providers: [],
                }]
        }] });

class NarikNgxRadioGroup extends NarikRadioGroup {
    constructor(injector) {
        super(injector);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxRadioGroup.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroup, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxRadioGroup.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxRadioGroup, selector: "narik-ngx-radio-group , narik-radio-group", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxRadioGroup)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroup, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-radio-group , narik-radio-group', inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxRadioGroup)),
                            multi: true,
                        },
                    ], template: "" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxRadioGroupModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxRadioGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxRadioGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroupModule, declarations: [NarikNgxRadioGroup], imports: [CommonModule, FormsModule], exports: [NarikNgxRadioGroup] });
/** @nocollapse */ /** @nocollapse */ NarikNgxRadioGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroupModule, providers: [], imports: [[CommonModule, FormsModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxRadioGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxRadioGroup],
                    exports: [NarikNgxRadioGroup],
                    providers: [],
                }]
        }] });

class NarikNgxSelect extends NarikSelect {
    constructor(injector) {
        super(injector);
        this.optionData = [];
    }
    useData(data) {
        this.optionData = data;
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxSelect.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelect, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxSelect.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxSelect, selector: "narik-ngx-select , narik-select", inputs: { displayField: "displayField", valueField: "valueField", listenForDataChange: "listenForDataChange", dataSource: "dataSource", dataKey: "dataKey", dataUrl: "dataUrl", dataInfo: "dataInfo", dataProviderKey: "dataProviderKey", dataParameters: "dataParameters", moduleKey: "moduleKey", dataMethod: "dataMethod", dataUrlMethod: "dataUrlMethod", id: "id", name: "name", label: "label", disabled: "disabled", required: "required", readOnly: "readOnly", placeHolder: "placeHolder", options: "options", multiple: "multiple" }, outputs: { dataChange: "dataChange", selectedItemChange: "selectedItemChange" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef((() => NarikNgxSelect)),
            multi: true,
        },
    ], usesInheritance: true, ngImport: i0, template: "", styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:sticky;background-color:#fff;z-index:10000}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelect, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-select , narik-select', inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS, ...NARIK_SELECT_INPUTS], outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef((() => NarikNgxSelect)),
                            multi: true,
                        },
                    ], template: "", styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:sticky;background-color:#fff;z-index:10000}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; } });

class NarikNgxSelectModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxSelectModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxSelectModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelectModule, declarations: [NarikNgxSelect], imports: [CommonModule, FormsModule], exports: [NarikNgxSelect] });
/** @nocollapse */ /** @nocollapse */ NarikNgxSelectModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelectModule, providers: [], imports: [[CommonModule, FormsModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule],
                    declarations: [NarikNgxSelect],
                    exports: [NarikNgxSelect],
                    providers: [],
                }]
        }] });

class NarikNgxDynamicForm extends NarikDynamicForm {
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDynamicForm.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicForm, deps: [{ token: i0.Injector }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxDynamicForm.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxDynamicForm, selector: "narik-dynamic-form , narik-ngx-dynamic-form", providers: [
        {
            provide: NarikDynamicForm,
            useExisting: forwardRef((() => NarikNgxDynamicForm)),
        },
    ], usesInheritance: true, ngImport: i0, template: "<div\n  class=\"dx-fieldset\"\n  [tab-guard]=\"activeTabGuard\"\n  [auto-focus]=\"activeAutoFocus\"\n  [autoFocusContainerName]=\"defaultFocusField\"\n>\n  <ng-container *ngFor=\"let item of fields\">\n\n  </ng-container>\n</div>\n", directives: [{ type: i1.TabGuardDirective, selector: "[tab-guard]", inputs: ["tab-guard"] }, { type: i1.AutoFocusDirective, selector: "[auto-focus]", inputs: ["auto-focus", "autoFocusContainerName", "timeout"] }, { type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicForm, decorators: [{
            type: Component,
            args: [{ selector: 'narik-dynamic-form , narik-ngx-dynamic-form', providers: [
                        {
                            provide: NarikDynamicForm,
                            useExisting: forwardRef((() => NarikNgxDynamicForm)),
                        },
                    ], template: "<div\n  class=\"dx-fieldset\"\n  [tab-guard]=\"activeTabGuard\"\n  [auto-focus]=\"activeAutoFocus\"\n  [autoFocusContainerName]=\"defaultFocusField\"\n>\n  <ng-container *ngFor=\"let item of fields\">\n\n  </ng-container>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }, { type: i0.ViewContainerRef }]; } });

class NarikNgxDynamicFormModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDynamicFormModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicFormModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxDynamicFormModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicFormModule, declarations: [NarikNgxDynamicForm], imports: [CommonModule,
        ReactiveFormsModule,
        TranslateModule,
        NarikNgxInputModule,
        NarikNgxSelectModule,
        NarikNgxCheckBoxModule,
        NarikNgxRadioGroupModule,
        NarikNgxAutoCompleteModule,
        NarikNgxDatePickerModule,
        NarikCommonModule], exports: [NarikNgxDynamicForm] });
/** @nocollapse */ /** @nocollapse */ NarikNgxDynamicFormModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicFormModule, providers: [], imports: [[
            CommonModule,
            ReactiveFormsModule,
            TranslateModule,
            NarikNgxInputModule,
            NarikNgxSelectModule,
            NarikNgxCheckBoxModule,
            NarikNgxRadioGroupModule,
            NarikNgxAutoCompleteModule,
            NarikNgxDatePickerModule,
            NarikCommonModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDynamicFormModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        TranslateModule,
                        NarikNgxInputModule,
                        NarikNgxSelectModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxDatePickerModule,
                        NarikCommonModule,
                    ],
                    declarations: [NarikNgxDynamicForm],
                    exports: [NarikNgxDynamicForm],
                    providers: [],
                }]
        }] });

class NarikNgxDialogContainer extends NarikDialogContainer {
    ngOnInit() { }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDialogContainer.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogContainer, deps: null, target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxDialogContainer.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxDialogContainer, selector: "ng-component", usesInheritance: true, ngImport: i0, template: "", styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px #0003,0 24px 38px 3px #00000024,0 9px 46px 8px #0000001f}\n"], animations: [trigger('openClose', DialogAnimationBody)] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogContainer, decorators: [{
            type: Component,
            args: [{ animations: [trigger('openClose', DialogAnimationBody)], template: "", styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px #0003,0 24px 38px 3px #00000024,0 9px 46px 8px #0000001f}\n"] }]
        }] });

class NarikNgxInputDialog {
    constructor(parameters) {
        this.entity = {};
        this.fields = [];
        if (parameters) {
            this.entity = parameters.entity;
            this.fields = parameters.fields;
        }
    }
    ngOnInit() { }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxInputDialog.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputDialog, deps: [{ token: PARAMETERS }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxInputDialog.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxInputDialog, selector: "ng-component", ngImport: i0, template: "<div class=\"pr-2 pl-2\">\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\n</div>\n", components: [{ type: NarikNgxDynamicForm, selector: "narik-dynamic-form , narik-ngx-dynamic-form" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxInputDialog, decorators: [{
            type: Component,
            args: [{ template: "<div class=\"pr-2 pl-2\">\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\n</div>\n" }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [PARAMETERS]
                    }] }];
    } });

class NarikNgxMessageDialog {
    constructor(parameters) {
        if (parameters) {
            this.message = parameters.message;
        }
    }
    ngOnInit() { }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxMessageDialog.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxMessageDialog, deps: [{ token: PARAMETERS }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxMessageDialog.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxMessageDialog, selector: "ng-component", ngImport: i0, template: "<div class=\"card p-2\">{{message | translate}}</div>\n", pipes: { "translate": i1$1.TranslatePipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxMessageDialog, decorators: [{
            type: Component,
            args: [{ template: "<div class=\"card p-2\">{{message | translate}}</div>\n" }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [PARAMETERS]
                    }] }];
    } });

class NarikNgxDialogModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxDialogModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxDialogModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogModule, declarations: [NarikNgxDialogContainer,
        NarikNgxInputDialog,
        NarikNgxMessageDialog], imports: [CommonModule,
        FormsModule,
        TranslateModule,
        NarikCommonModule,
        NarikNgxButtonModule,
        NarikNgxDynamicFormModule], exports: [NarikNgxDialogContainer,
        NarikNgxInputDialog,
        NarikNgxMessageDialog] });
/** @nocollapse */ /** @nocollapse */ NarikNgxDialogModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogModule, providers: [
        {
            provide: DIALOG_CONTAINER,
            useValue: NarikNgxDialogContainer,
        },
        {
            provide: DIALOG_MESSAGE_COMPONENT,
            useValue: NarikNgxMessageDialog,
        },
        {
            provide: DIALOG_INPUT_COMPONENT,
            useValue: NarikNgxInputDialog,
        },
    ], imports: [[
            CommonModule,
            FormsModule,
            TranslateModule,
            NarikCommonModule,
            NarikNgxButtonModule,
            NarikNgxDynamicFormModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxDialogModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        TranslateModule,
                        NarikCommonModule,
                        NarikNgxButtonModule,
                        NarikNgxDynamicFormModule,
                    ],
                    declarations: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                    exports: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                    providers: [
                        {
                            provide: DIALOG_CONTAINER,
                            useValue: NarikNgxDialogContainer,
                        },
                        {
                            provide: DIALOG_MESSAGE_COMPONENT,
                            useValue: NarikNgxMessageDialog,
                        },
                        {
                            provide: DIALOG_INPUT_COMPONENT,
                            useValue: NarikNgxInputDialog,
                        },
                    ],
                    entryComponents: [
                        NarikNgxDialogContainer,
                        NarikNgxInputDialog,
                        NarikNgxMessageDialog,
                    ],
                }]
        }] });

class NarikNgxTreeview extends NarikTreeview {
    constructor(injector) {
        super(injector);
    }
    set selectedItem(value) {
        this._selectedItem = value;
    }
    get selectedItem() {
        return this._selectedItem;
    }
    addNode(selectedNode) {
        throw new Error('Method not implemented.');
    }
    deleteNode(selectedNode) {
        throw new Error('Method not implemented.');
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxTreeview.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeview, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxTreeview.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxTreeview, selector: "narik-ngx-treeview narik-treeview", inputs: { newNodeTitle: "newNodeTitle" }, usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeview, decorators: [{
            type: Component,
            args: [{ selector: 'narik-ngx-treeview narik-treeview', template: "" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }]; }, propDecorators: { newNodeTitle: [{
                type: Input
            }] } });

class NarikNgxToolBar extends NarikToolBar {
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
        this.uniqueId = '';
        this.uniqueId = 'toolbar' + UUID.UUID();
    }
}
/** @nocollapse */ /** @nocollapse */ NarikNgxToolBar.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolBar, deps: [{ token: i0.Injector }, { token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Component });
/** @nocollapse */ /** @nocollapse */ NarikNgxToolBar.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.0.1", type: NarikNgxToolBar, selector: "narik-toolbar , narik-ngx-toolbar", usesInheritance: true, ngImport: i0, template: "\n" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolBar, decorators: [{
            type: Component,
            args: [{ selector: 'narik-toolbar , narik-ngx-toolbar', template: "\n" }]
        }], ctorParameters: function () { return [{ type: i0.Injector }, { type: i0.ViewContainerRef }]; } });

class NarikNgxToolbarModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxToolbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxToolbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolbarModule, declarations: [NarikNgxToolBar], imports: [CommonModule, FormsModule, NarikNgxButtonModule, TranslateModule], exports: [NarikNgxToolBar] });
/** @nocollapse */ /** @nocollapse */ NarikNgxToolbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolbarModule, providers: [], imports: [[CommonModule, FormsModule, NarikNgxButtonModule, TranslateModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxToolbarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, FormsModule, NarikNgxButtonModule, TranslateModule],
                    declarations: [NarikNgxToolBar],
                    exports: [NarikNgxToolBar],
                    providers: [],
                }]
        }] });

class NarikNgxTreeviewModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxTreeviewModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeviewModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxTreeviewModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeviewModule, declarations: [NarikNgxTreeview], imports: [CommonModule,
        FormsModule,
        NarikNgxToolbarModule,
        TranslateModule], exports: [NarikNgxTreeview] });
/** @nocollapse */ /** @nocollapse */ NarikNgxTreeviewModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeviewModule, providers: [], imports: [[
            CommonModule,
            FormsModule,
            NarikNgxToolbarModule,
            TranslateModule,
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxTreeviewModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        NarikNgxToolbarModule,
                        TranslateModule,
                    ],
                    declarations: [NarikNgxTreeview],
                    exports: [NarikNgxTreeview],
                    providers: [],
                }]
        }] });

class NarikNgxCoreModule {
}
/** @nocollapse */ /** @nocollapse */ NarikNgxCoreModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCoreModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikNgxCoreModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCoreModule, imports: [CommonModule] });
/** @nocollapse */ /** @nocollapse */ NarikNgxCoreModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCoreModule, providers: [], imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikNgxCoreModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [],
                    exports: [],
                    providers: [],
                }]
        }] });

class NarikUiNgxBootstrapModule {
}
/** @nocollapse */ /** @nocollapse */ NarikUiNgxBootstrapModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiNgxBootstrapModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
/** @nocollapse */ /** @nocollapse */ NarikUiNgxBootstrapModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiNgxBootstrapModule, imports: [TranslateModule,
        NarikNgxAutoCompleteModule,
        NarikNgxBusyIndicatorModule,
        NarikNgxButtonModule,
        NarikNgxCheckBoxModule,
        NarikNgxCheckBoxListModule,
        NarikNgxDataTableModule,
        NarikNgxDatePickerModule,
        NarikNgxDialogModule,
        NarikNgxDynamicFormModule,
        NarikNgxInputModule,
        NarikNgxRadioGroupModule,
        NarikNgxSelectModule,
        NarikNgxToolbarModule,
        NarikNgxTreeviewModule,
        NarikNgxCoreModule], exports: [TranslateModule,
        NarikNgxAutoCompleteModule,
        NarikNgxBusyIndicatorModule,
        NarikNgxButtonModule,
        NarikNgxCheckBoxModule,
        NarikNgxCheckBoxListModule,
        NarikNgxDataTableModule,
        NarikNgxDatePickerModule,
        NarikNgxDialogModule,
        NarikNgxDynamicFormModule,
        NarikNgxInputModule,
        NarikNgxRadioGroupModule,
        NarikNgxSelectModule,
        NarikNgxToolbarModule,
        NarikNgxTreeviewModule,
        NarikNgxCoreModule] });
/** @nocollapse */ /** @nocollapse */ NarikUiNgxBootstrapModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiNgxBootstrapModule, providers: [], imports: [[
            TranslateModule,
            NarikNgxAutoCompleteModule,
            NarikNgxBusyIndicatorModule,
            NarikNgxButtonModule,
            NarikNgxCheckBoxModule,
            NarikNgxCheckBoxListModule,
            NarikNgxDataTableModule,
            NarikNgxDatePickerModule,
            NarikNgxDialogModule,
            NarikNgxDynamicFormModule,
            NarikNgxInputModule,
            NarikNgxRadioGroupModule,
            NarikNgxSelectModule,
            NarikNgxToolbarModule,
            NarikNgxTreeviewModule,
            NarikNgxCoreModule,
        ], TranslateModule,
        NarikNgxAutoCompleteModule,
        NarikNgxBusyIndicatorModule,
        NarikNgxButtonModule,
        NarikNgxCheckBoxModule,
        NarikNgxCheckBoxListModule,
        NarikNgxDataTableModule,
        NarikNgxDatePickerModule,
        NarikNgxDialogModule,
        NarikNgxDynamicFormModule,
        NarikNgxInputModule,
        NarikNgxRadioGroupModule,
        NarikNgxSelectModule,
        NarikNgxToolbarModule,
        NarikNgxTreeviewModule,
        NarikNgxCoreModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiNgxBootstrapModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule,
                    ],
                    declarations: [],
                    exports: [
                        TranslateModule,
                        NarikNgxAutoCompleteModule,
                        NarikNgxBusyIndicatorModule,
                        NarikNgxButtonModule,
                        NarikNgxCheckBoxModule,
                        NarikNgxCheckBoxListModule,
                        NarikNgxDataTableModule,
                        NarikNgxDatePickerModule,
                        NarikNgxDialogModule,
                        NarikNgxDynamicFormModule,
                        NarikNgxInputModule,
                        NarikNgxRadioGroupModule,
                        NarikNgxSelectModule,
                        NarikNgxToolbarModule,
                        NarikNgxTreeviewModule,
                        NarikNgxCoreModule,
                    ],
                    providers: [],
                }]
        }] });

class NarikUiListForm extends NarikListForm {
    constructor(injector) {
        super(injector);
        this.ds = [];
        this.hasDataSource = false;
    }
    get isServerSide() {
        return this.config && this.config.isServerSideData ? true : false;
    }
    ngOnInit() {
        super.ngOnInit();
        if (this.fields) {
        }
        if (this.config) {
            if (this.isServerSide) {
                const that = this;
            }
        }
    }
    ngAfterViewInit() { }
    useData(result) {
        this.dataSource = result.data;
    }
    refresh(remoteDaraParams) {
        if (!this.isServerSide) {
            this.getEntities();
        }
        else {
            // this.grid.refresh();
        }
    }
}
/** @nocollapse */ /** @nocollapse */ NarikUiListForm.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiListForm, deps: [{ token: i0.Injector }], target: i0.ɵɵFactoryTarget.Directive });
/** @nocollapse */ /** @nocollapse */ NarikUiListForm.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.0.1", type: NarikUiListForm, usesInheritance: true, ngImport: i0 });
__decorate([
    NarikInject(TranslateService),
    __metadata("design:type", TranslateService)
], NarikUiListForm.prototype, "translateService", void 0);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.0.1", ngImport: i0, type: NarikUiListForm, decorators: [{
            type: Directive
        }], ctorParameters: function () { return [{ type: i0.Injector }]; }, propDecorators: { translateService: [] } });

class NarikUiEditForm extends NarikEditForm {
    constructor(injector) {
        super(injector);
    }
}

/*
 * Public API Surface of narik-ui-ngx-bootstrap
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NarikNgxAutoComplete, NarikNgxAutoCompleteModule, NarikNgxBusyIndicator, NarikNgxBusyIndicatorModule, NarikNgxButtonComponent, NarikNgxButtonModule, NarikNgxCheckBox, NarikNgxCheckBoxList, NarikNgxCheckBoxListModule, NarikNgxCheckBoxModule, NarikNgxCoreModule, NarikNgxDataTable, NarikNgxDataTableModule, NarikNgxDatePicker, NarikNgxDatePickerModule, NarikNgxDialogContainer, NarikNgxDialogModule, NarikNgxDynamicForm, NarikNgxDynamicFormModule, NarikNgxInput, NarikNgxInputDialog, NarikNgxInputModule, NarikNgxMessageDialog, NarikNgxRadioGroup, NarikNgxRadioGroupModule, NarikNgxSelect, NarikNgxSelectModule, NarikNgxToolBar, NarikNgxToolbarModule, NarikNgxTreeview, NarikNgxTreeviewModule, NarikUiEditForm, NarikUiListForm, NarikUiNgxBootstrapModule };
